Pular para o conteúdo principal
GET
JavaScript

Autorizações

Authorization
string
header
obrigatório

Send your API key as a bearer token: Authorization: Bearer <api_key>. A test mode key starts with dodo_test_, for example dodo_test_AbCd1234EfGh5678.<secret>. A live mode key starts with dodo_live_. Use a test mode key on test.dodopayments.com and a live mode key on live.dodopayments.com. Keys from before these tags have no tag and operate as before.

Parâmetros de caminho

subscription_id
string
obrigatório

Unique subscription identifier

Parâmetros de consulta

start_date
string<date-time> | null

Filter by start date (inclusive)

end_date
string<date-time> | null

Filter by end date (inclusive)

meter_id
string | null

Filter by specific meter ID

page_size
integer<int32> | null

Page size (default: 10, max: 100)

Intervalo obrigatório: x >= 0
page_number
integer<int32> | null

Page number (default: 0)

Intervalo obrigatório: x >= 0

Resposta

Usage history retrieved successfully

items
object[]
obrigatório

List of usage history items

Última modificação em 1 de abril de 2026